<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security" xmlns="http://www.w3.org/1999/html"
      layout:decorate="~{layout5}">
<head>
    <meta charset="UTF-8">
    <title>Event Scheduler</title>
</head>
<body>
<main layout:fragment="main" class="container">
    <!--    <div th:include="sidebar/sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>-->
    <div class="row">
        <div class="col-md-12">
            <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" >
                <span>Event Scheduler</span>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div th:if="${berhasil != null}" class="alert alert-success" role="alert">
                <span th:text="${berhasil}"></span>
            </div>

            <div class="shadow-sm p-3 mb-3 bg-body bg-opacity-50 border rounded">
<!--            <div class="card-header p-3 align-middle">-->
                <form method="get">
                    <div class="row">
                        <p><a class="link-primary" th:href="@{/setting/schedule/event/new}" role="button">Click Here</a> for new event. </p>
                        <div class="col-md-6">
                            Show entries <span sd:page-size-selector="javascript"></span>
                        </div>

                        <div class="col-md-6" align="right">
                            <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">
                            <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                        </div>
                    </div>
                </form>
                <br>
<!--            </div>-->
<!--            <div class="card-body align-middle">-->
<!--                <a class="btn btn-primary btn-sm" style="&#45;&#45;bs-btn-bg: #15408d; background-image: var(&#45;&#45;bs-gradient);" th:href="@{/setting/schedule/event/new}">+New Schedule</a>-->
<!--               <br>-->
<!--                <br>-->

                <div class="table-responsive">
                    <table class="table table-hover table-striped small">
                        <thead class="table-dark" style="--bs-table-bg:#15408d;">
                        <tr>
                            <th>#</th>
                            <th style="width: 10%">Date</th>
                            <th style="width: 20%">Time</th>
                            <th>Schedule Name</th>
<!--                            <th>Descriptions</th>-->
                            <th style="width: 20px;">Status</th>
                            <th style="width: 5px"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr class="align-middle" th:each="data,row : ${listScheduleEvent}">
                            <td th:text="${(row.index + 1) + (listScheduleEvent.number * listScheduleEvent.size)}">1.</td>
                            <td th:text="${#temporals.format(data.getScheduleDate(),'dd-MMM-yyyy')}"></td>
                            <td th:text="${data.getScheduleTimeStart() + ' s/d ' + data.getScheduleTimeEnd()}"></td>
                            <td th:text="${data.getScheduleName()}"></td>
<!--                            <td th:text="${data.getScheduleDescription()}"></td>-->
                            <td>
                                <div class="bg-body bg-opacity-25 border border-warning border-start-0 border-end-0" align="center">
                                    <span th:text="${data.getStatusAktif()}"></span>
                                </div>
                            </td>
                            <td>
                                <form method="post" th:action="@{/setting/schedule/event/delete(scheduleEvent=${data.id})}">
                                    <button type="submit" class="btn btn-danger btn-xs" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;"
                                            onclick="return confirm('Are you sure want to delete this?')">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
<!--            </div>-->
<!--            <div class="card-footer align-middle">-->
                <br>
                <nav aria-label="Page navigation example small">
                    <ul class="pagination" sd:pagination="full">
                    </ul>
                </nav>
            </div>
        </div>
        </div>
    </div>
</main>
</body>
</html>